import { getHeaderHeight } from '../../../../../utils';
Component({
  props: {
    value: '',
    status: '',
    type: '',
    show: false,
    options: [],
    timeStart: '',
    timeEnd: '',
    onClose: () => null,
    onChange: () => null,
    statusItems: [],
    showStatus: false,
    defaultLabel: '',
    defaultName: ''
  },
  data: {
    headerHeight: getHeaderHeight()
  },

  didMount() {},

  methods: {
    onCloseMsk() {
      this.props.onClose();
    },

    onTapItem(e) {
      const {
        dataset
      } = e.target;
      const {
        item = {}
      } = dataset;
      this.onCloseMsk();
      this.props.onChange(item.value || '');
    }

  }
});